Bug 8050 - debian/build-git-snapshot should warn user if it fails
Summary: debian/build-git-snapshot should warn user if it fails
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Robin Sheat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-05 12:55 UTC by Jared Camins-Esakov
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8050: Die if package building fails (869 bytes, patch)
2015-04-01 09:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8050: Die if package building fails (992 bytes, patch)
2015-04-01 22:00 UTC, Robin Sheat
Details | Diff | Splinter Review
[PASSED QA] Bug 8050: Die if package building fails (1.04 KB, patch)
2015-04-03 12:37 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-05-05 12:55:29 UTC
The script debian/build-git-snapshot returns success even if the package building fails. Automating package build requires some sort of feedback if the package build fails, preferably a non-success return value for the debian/build-git-snapshot script.
Comment 1 Jonathan Druart 2015-04-01 09:38:34 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-01 09:38:56 UTC
Robin, do you think this patch could be useful for you?
Comment 3 Robin Sheat 2015-04-01 11:05:01 UTC
I haven't had a look at the detail, but based on the subject I think it's a good thing. I'll look closer soon I hope.
Comment 4 Robin Sheat 2015-04-01 22:00:14 UTC Comment hidden (obsolete)
Comment 5 Robin Sheat 2015-04-01 22:01:24 UTC
Jonathan, if you can give my changes a quick review then that'll be enough for me to consider it passed QA too.
Comment 6 Kyle M Hall 2015-04-03 12:37:35 UTC
Created attachment 37453 [details] [review]
[PASSED QA] Bug 8050: Die if package building fails

The debian/build-git-snapshot script should not return success if an
error occurred.

Note that sys_command_output won't raise an error if something fails.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>

Made a minor change to print the command, add a newline.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2015-04-07 08:13:46 UTC
(In reply to Robin Sheat from comment #5)
> Jonathan, if you can give my changes a quick review then that'll be enough
> for me to consider it passed QA too.

Good for me :)
Comment 8 Tomás Cohen Arazi 2015-04-08 13:56:01 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-04-11 02:41:25 UTC
Pushed to 3.18.x will be in 3.18.6